=head1 NAME

Gtk2::FileChooserButton

=head1 HIERARCHY

  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gtk2::FileChooserButton

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::FileChooser


=head1 METHODS

=head2 widget = Gtk2::FileChooserButton-E<gt>B<new> ($title, $action)

=over

=over

=item * $title (string) 

=item * $action (Gtk2::FileChooserAction) 

=back

=back

=head2 widget = Gtk2::FileChooserButton-E<gt>B<new_with_backend> ($title, $action, $backend)

=over

=over

=item * $title (string) 

=item * $action (Gtk2::FileChooserAction) 

=item * $backend (string) 

=back

=back

=head2 widget = Gtk2::FileChooserButton-E<gt>B<new_with_dialog> ($dialog)

=over

=over

=item * $dialog (Gtk2::Widget) 

=back

=back

=head2 string = $button-E<gt>B<get_title> 

=over

=back

=head2 $button-E<gt>B<set_title> ($title)

=over

=over

=item * $title (string) 

=back

=back

=head2 integer = $button-E<gt>B<get_width_chars> 

=over

=back

=head2 $button-E<gt>B<set_width_chars> ($n_chars)

=over

=over

=item * $n_chars (integer) 

=back

=back


=head1 PROPERTIES

=over

=item 'dialog' (Gtk2::FileChooserDialog : writable / construct-only / private)

The file chooser dialog to use.

=item 'title' (string : readable / writable / private)

The title of the file chooser dialog.

=item 'width-chars' (integer : readable / writable / private)

The desired width of the button widget, in characters.

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::FileChooserAction

=over

=item * 'open' / 'GTK_FILE_CHOOSER_ACTION_OPEN'

=item * 'save' / 'GTK_FILE_CHOOSER_ACTION_SAVE'

=item * 'select-folder' / 'GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER'

=item * 'create-folder' / 'GTK_FILE_CHOOSER_ACTION_CREATE_FOLDER'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::Object::_Unregistered::GInitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::HBox>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

